Package logilab :: Package common :: Module configuration :: Class Configuration

[frames] | no frames]

# Class Configuration

source code

              object --+
                       |
     OptionsManagerMixIn --+
                           |
              object --+   |
                       |   |
    OptionsProviderMixIn --+
                           |
          ConfigurationMixIn --+
                               |
                              Configuration

    class for simple configurations which don't need the
    manager / providers model and prefer delegation to inheritance

    configuration values are accessible through a dict like interface

Instance Methods

__init__(self, config_file=None, options=None, name=None, usage=None, doc=None, version=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `ConfigurationMixIn`: `__getitem__`, `__iter__`, `__setitem__`, `get`, `load_defaults`, `register_options`

Inherited from `OptionsManagerMixIn`: `add_help_section`, `add_optik_option`, `add_option_group`, `cb_set_provider_option`, `generate_config`, `generate_manpage`, `global_set_option`, `help`, `input_config`, `load_command_line_configuration`, `load_config_file`, `load_configuration`, `load_file_configuration`, `load_provider_defaults`, `optik_option`, `read_config_file`, `register_options_provider`, `reset_parsers`

Inherited from `OptionsProviderMixIn`: `all_options`, `get_option_def`, `input_option`, `option_attrname`, `option_default`, `option_value`, `options_and_values`, `options_by_section`, `set_option`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `OptionsProviderMixIn`: `level`, `name`, `option_name`, `options`, `priority`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, config_file=None, options=None, name=None, usage=None, doc=None, version=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)